Bug 1265674 - failing libbacktrace btest backtrace_simple test on ppc64
Summary: failing libbacktrace btest backtrace_simple test on ppc64
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: 26
Hardware: ppc64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PPCTracker
TreeView+ depends on / blocked
 
Reported: 2015-09-23 13:07 UTC by Rafael Fonseca
Modified: 2018-05-29 11:57 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-05-29 11:57:52 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 57591 None None None 2017-06-27 11:57 UTC

Description Rafael Fonseca 2015-09-23 13:07:54 UTC
Description of problem: some tests fail on ppc64. Since the tests go through for ppc64le, it might be an endianness issue. This is the output:

make  check-TESTS
make[3]: Entering directory '/builddir/build/BUILD/arm-none-eabi-gcc-cs-5.2.0/gcc-arm-none-eabi/libbacktrace'
test3: [0]: NULL syminfo name
test3: [1]: NULL syminfo name
test3: [2]: NULL syminfo name
PASS: backtrace_full noinline
PASS: backtrace_full inline
FAIL: backtrace_simple noinline
PASS: backtrace_simple inline
PASS: backtrace_syminfo variable
FAIL: btest
PASS: stest
===================
1 of 2 tests failed
===================


Version-Release number of selected component (if applicable): 5.2.0-2


How reproducible: ppc-koji build on ppc64.


Additional info: it also fails for f22 and f23.

Comment 1 Jan Kurik 2016-02-24 13:47:18 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 2 Michal Hlavinka 2017-06-27 11:57:33 UTC
Same thing still happens in gcc@ppc64 for ages:
https://gcc.gnu.org/bugzilla/show_bug.cgi?id=57591

Happens even during gcc build
from https://kojipkgs.fedoraproject.org//packages/gcc/7.1.1/3.fc26/data/logs/ppc64/build.log 

make[3]: Entering directory '/builddir/build/BUILD/gcc-7.1.1-20170622/obj-ppc64-redhat-linux/libbacktrace'
test3: [0]: NULL syminfo name
test3: [1]: NULL syminfo name
test3: [2]: NULL syminfo name
PASS: backtrace_full noinline
PASS: backtrace_full inline
FAIL: backtrace_simple noinline
PASS: backtrace_simple inline
PASS: backtrace_syminfo variable
FAIL: btest
PASS: stest
===================
1 of 2 tests failed
===================
make[3]: *** [Makefile:529: check-TESTS] Error 1
make[3]: Leaving directory '/builddir/build/BUILD/gcc-7.1.1-20170622/obj-ppc64-redhat-linux/libbacktrace'
make[2]: *** [Makefile:622: check-am] Error 2


for arm-none-eabi-gcc, I'm going to ignore result of this test for now, as gcc does, but it should get fixed in future, reassigning

Comment 3 Fedora End Of Life 2018-05-03 08:47:36 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2018-05-29 11:57:52 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.